| QxOrm 1.1.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Namespaces | Functions
qx::function Namespace Reference
QxFunction : QxOrm library function used by introspection engine

Register function into QxOrm context used by introspection engine. More...

## Namespaces
namespace | detail

| Internal helper tools for qx::function namespace.
## Functions
template<class Owner , typename R >
IxFunction_ptr | bind_fct_0 (const typename QxFunction_0< Owner, R >::type_fct &fct)
template<class Owner , typename R >
IxFunction_ptr | bind_member_fct_0 (const typename QxFunction_0< Owner, R >::type_fct &fct)
template<class Owner , typename R , typename P1 >
IxFunction_ptr | bind_fct_1 (const typename QxFunction_1< Owner, R, P1 >::type_fct &fct)
template<class Owner , typename R , typename P1 >
IxFunction_ptr | bind_member_fct_1 (const typename QxFunction_1< Owner, R, P1 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 >
IxFunction_ptr | bind_fct_2 (const typename QxFunction_2< Owner, R, P1, P2 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 >
IxFunction_ptr | bind_member_fct_2 (const typename QxFunction_2< Owner, R, P1, P2 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 >
IxFunction_ptr | bind_fct_3 (const typename QxFunction_3< Owner, R, P1, P2, P3 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 >
IxFunction_ptr | bind_member_fct_3 (const typename QxFunction_3< Owner, R, P1, P2, P3 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 >
IxFunction_ptr | bind_fct_4 (const typename QxFunction_4< Owner, R, P1, P2, P3, P4 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 >
IxFunction_ptr | bind_member_fct_4 (const typename QxFunction_4< Owner, R, P1, P2, P3, P4 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 >
IxFunction_ptr | bind_fct_5 (const typename QxFunction_5< Owner, R, P1, P2, P3, P4, P5 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 >
IxFunction_ptr | bind_member_fct_5 (const typename QxFunction_5< Owner, R, P1, P2, P3, P4, P5 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 >
IxFunction_ptr | bind_fct_6 (const typename QxFunction_6< Owner, R, P1, P2, P3, P4, P5, P6 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 >
IxFunction_ptr | bind_member_fct_6 (const typename QxFunction_6< Owner, R, P1, P2, P3, P4, P5, P6 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 >
IxFunction_ptr | bind_fct_7 (const typename QxFunction_7< Owner, R, P1, P2, P3, P4, P5, P6, P7 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 >
IxFunction_ptr | bind_member_fct_7 (const typename QxFunction_7< Owner, R, P1, P2, P3, P4, P5, P6, P7 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 , typename P8 >
IxFunction_ptr | bind_fct_8 (const typename QxFunction_8< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 , typename P8 >
IxFunction_ptr | bind_member_fct_8 (const typename QxFunction_8< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 , typename P8 , typename P9 >
IxFunction_ptr | bind_fct_9 (const typename QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_fct &fct)
template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 , typename P8 , typename P9 >
IxFunction_ptr | bind_member_fct_9 (const typename QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_fct &fct)

## Detailed Description

Register function into QxOrm context used by introspection engine.

## Function Documentation

template<class Owner , typename R >

IxFunction_ptr qx::function::bind_fct_0 | ( | const typename QxFunction_0< Owner, R >::type_fct & | fct | ) |

Definition at line 128 of file QxFunction_0.h.

template<class Owner , typename R , typename P1 >

IxFunction_ptr qx::function::bind_fct_1 | ( | const typename QxFunction_1< Owner, R, P1 >::type_fct & | fct | ) |

Definition at line 134 of file QxFunction_1.h.

template<class Owner , typename R , typename P1 , typename P2 >

IxFunction_ptr qx::function::bind_fct_2 | ( | const typename QxFunction_2< Owner, R, P1, P2 >::type_fct & | fct | ) |

Definition at line 140 of file QxFunction_2.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 >

IxFunction_ptr qx::function::bind_fct_3 | ( | const typename QxFunction_3< Owner, R, P1, P2, P3 >::type_fct & | fct | ) |

Definition at line 146 of file QxFunction_3.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 >

IxFunction_ptr qx::function::bind_fct_4 | ( | const typename QxFunction_4< Owner, R, P1, P2, P3, P4 >::type_fct & | fct | ) |

Definition at line 152 of file QxFunction_4.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 >

IxFunction_ptr qx::function::bind_fct_5 | ( | const typename QxFunction_5< Owner, R, P1, P2, P3, P4, P5 >::type_fct & | fct | ) |

Definition at line 158 of file QxFunction_5.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 >

IxFunction_ptr qx::function::bind_fct_6 | ( | const typename QxFunction_6< Owner, R, P1, P2, P3, P4, P5, P6 >::type_fct & | fct | ) |

Definition at line 164 of file QxFunction_6.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 >

IxFunction_ptr qx::function::bind_fct_7 | ( | const typename QxFunction_7< Owner, R, P1, P2, P3, P4, P5, P6, P7 >::type_fct & | fct | ) |

Definition at line 170 of file QxFunction_7.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 , typename P8 >

IxFunction_ptr qx::function::bind_fct_8 | ( | const typename QxFunction_8< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8 >::type_fct & | fct | ) |

Definition at line 176 of file QxFunction_8.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 , typename P8 , typename P9 >

IxFunction_ptr qx::function::bind_fct_9 | ( | const typename QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_fct & | fct | ) |

Definition at line 182 of file QxFunction_9.h.

template<class Owner , typename R >

IxFunction_ptr qx::function::bind_member_fct_0 | ( | const typename QxFunction_0< Owner, R >::type_fct & | fct | ) |

Definition at line 137 of file QxFunction_0.h.

template<class Owner , typename R , typename P1 >

IxFunction_ptr qx::function::bind_member_fct_1 | ( | const typename QxFunction_1< Owner, R, P1 >::type_fct & | fct | ) |

Definition at line 143 of file QxFunction_1.h.

template<class Owner , typename R , typename P1 , typename P2 >

IxFunction_ptr qx::function::bind_member_fct_2 | ( | const typename QxFunction_2< Owner, R, P1, P2 >::type_fct & | fct | ) |

Definition at line 149 of file QxFunction_2.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 >

IxFunction_ptr qx::function::bind_member_fct_3 | ( | const typename QxFunction_3< Owner, R, P1, P2, P3 >::type_fct & | fct | ) |

Definition at line 155 of file QxFunction_3.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 >

IxFunction_ptr qx::function::bind_member_fct_4 | ( | const typename QxFunction_4< Owner, R, P1, P2, P3, P4 >::type_fct & | fct | ) |

Definition at line 161 of file QxFunction_4.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 >

IxFunction_ptr qx::function::bind_member_fct_5 | ( | const typename QxFunction_5< Owner, R, P1, P2, P3, P4, P5 >::type_fct & | fct | ) |

Definition at line 167 of file QxFunction_5.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 >

IxFunction_ptr qx::function::bind_member_fct_6 | ( | const typename QxFunction_6< Owner, R, P1, P2, P3, P4, P5, P6 >::type_fct & | fct | ) |

Definition at line 173 of file QxFunction_6.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 >

IxFunction_ptr qx::function::bind_member_fct_7 | ( | const typename QxFunction_7< Owner, R, P1, P2, P3, P4, P5, P6, P7 >::type_fct & | fct | ) |

Definition at line 179 of file QxFunction_7.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 , typename P8 >

IxFunction_ptr qx::function::bind_member_fct_8 | ( | const typename QxFunction_8< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8 >::type_fct & | fct | ) |

Definition at line 185 of file QxFunction_8.h.

template<class Owner , typename R , typename P1 , typename P2 , typename P3 , typename P4 , typename P5 , typename P6 , typename P7 , typename P8 , typename P9 >

IxFunction_ptr qx::function::bind_member_fct_9 | ( | const typename QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_fct & | fct | ) |

Definition at line 191 of file QxFunction_9.h.

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines